タグ:プログラミング ( 77 ) タグの人気記事

snd_XX.ko log
# pwd
/usr/src/snd_hda

# cp snd_atiixp.ko* snd_hda.ko* snd_ich.ko* sound.ko /boot/kernel/
[PR]

by arigayas | 2007-09-05 00:43 | FreeBSD | Trackback | Comments(0)
make 結果
FreeBSD# *
** Listing the failed packages (*:skipped / !:failed)
! devel/p5-Locale-gettext (p5-gettext-1.05_1) (unknown build error)
! sysutils/libcdio (libcdio-0.77_1) (unknown build error)
* misc/help2man (help2man-1.36.4_1)
! devel/dbus-glib (dbus-glib-0.71) (compiler error)
* multimedia/gstreamer (gstreamer80-0.8.12_2)
* sysutils/policykit (policykit-0.1.20060514_2)
* sysutils/hal (hal-0.5.8.20060917_2)
* net/avahi (avahi-0.6.14)
! sysutils/system-tools-backends (system-tools-backends-1.4.2_2) (unknown build error)
* sysutils/gstreamer-plugins-hal (gstreamer-plugins-hal-0.10.4,2)
* devel/libnotify (libnotify-0.4.4_1)
! misc/gnome-icon-theme (gnome-icon-theme-2.16.0.1_1) (unknown build error)
! audio/gstreamer-plugins-vorbis (gstreamer-plugins-vorbis-0.10.10_1,2) (unknown build error)
* sysutils/xfce4-utils (xfce4-utils-4.4.1_1)
! graphics/poppler-gtk (poppler-gtk-0.5.4) (linker error)
* x11/libexo (libexo-0.3.2_4)
* x11-fm/thunar (Thunar-0.8.0_5)
* x11-wm/xfce4-desktop (xfce4-desktop-4.4.1_1)
* devel/gnome-vfs (gnome-vfs-2.16.1)
* www/firefox (firefox-2.0.0.6,1)
* x11/libgnome (libgnome-2.16.0)
* www/libgtkhtml (libgtkhtml-2.11.0_2)
* devel/gstreamer-plugins-gnomevfs (gstreamer-plugins-gnomevfs-0.10.10_1,2)
* x11/gnome-menus (gnome-menus-2.16.1)
* x11-toolkits/libbonoboui (libbonoboui-2.16.0)
* x11-toolkits/libgnomeui (libgnomeui-2.16.1)
* textproc/gnome-spell (gnome-spell-1.0.7_2)
* sysutils/gconf-editor (gconf-editor-2.16.0,1)
* x11-toolkits/py-gnome2 (py24-gnome-2.16.0)
* accessibility/gok (gok-1.2.0_1,1)
* databases/evolution-data-server (evolution-data-server-1.8.1_1)
* x11/gnome-desktop (gnome-desktop-2.16.1)
* sysutils/gnome-system-monitor (gnome-system-monitor-2.16.1_1)
* www/evolution-webcal (evolution-webcal-2.8.0)
* x11/gnome-terminal (gnome-terminal-2.16.1_1)
* deskutils/gucharmap (gucharmap-gnome-1.8.0)
* security/gnome-keyring-manager (gnome-keyring-manager-2.16.0)
* accessibility/orca (orca-1.0.0)
* net/ekiga (ekiga-2.0.2_5)
* x11/gnome-panel (gnome-panel-2.16.1)
* x11/fast-user-switch-applet (fast-user-switch-applet-2.16.0)
* sysutils/gnome-power-manager (gnome-power-manager-2.16.1)
* x11/gnome-screensaver (gnome-screensaver-2.16.1_1)
* math/gcalctool (gcalctool-5.8.24,2)
* x11-themes/gnome-themes (gnome-themes-2.16.1.1)
* x11-toolkits/libgail-gnome (libgail-gnome-1.1.3_2)
* net/gnome-netstatus (gnome-netstatus-2.12.0_3)
* accessibility/dasher (dasher-4.2.0,1)
* x11-toolkits/eel (eel-2.16.0_1)
* net/vino (vino-2.16.0)
* www/epiphany (epiphany-2.16.1_1)
* devel/bug-buddy (bug-buddy-2.16.0_2)
* x11-fm/nautilus (nautilus-2.16.1)
* sysutils/gnome-control-center (gnome-control-center-2.16.1)
* sysutils/gnome-mount (gnome-mount-0.4_1)
* sysutils/nautilus-cd-burner (nautilus-cd-burner-2.16.1)
* sysutils/gnome-system-tools (gnome-system-tools-2.14.0_1)
* audio/gnome-media (gnome-media-2.16.0)
* audio/sound-juicer (sound-juicer-2.16.1)
* x11-toolkits/gdl (gdl-0.6.1_1)
* x11/gnome-session (gnome-session-2.16.1_1)
* archivers/file-roller (file-roller-2.16.1,1)
* x11-toolkits/py-gnome-extras (py24-gnome-extras-2.14.2)
* sysutils/gnome-volume-manager (gnome-volume-manager-2.15.0)
* multimedia/gstreamer-plugins-core (gstreamer-plugins-core-0.10_7)
* multimedia/totem (totem-gstreamer-2.16.2_2)
* x11/gdm (gdm-2.16.1_1)
* x11-toolkits/libgnomeprintui (libgnomeprintui-2.12.1_2)
* graphics/eog (eog-2.16.1)
* deskutils/gnome-utils (gnome-utils-2.16.1,1)
* graphics/evince (evince-0.6.1)
* www/gtkhtml3 (gtkhtml3-3.12.1)
* mail/evolution (evolution-2.8.1.1)
* mail/evolution-exchange (evolution-exchange-2.8.1)
* x11/yelp (yelp-2.16.1_1)
* x11-toolkits/gtksourceview (gtksourceview-1.8.1)
* x11-toolkits/py-gnome-desktop (py24-gnome-desktop-2.16.0)
* deskutils/alacarte (alacarte-0.10.1)
* games/gnome-games (gnome-games-2.16.1)
* deskutils/deskbar-applet (deskbar-applet-2.16.1)
* editors/gedit (gedit-2.16.1)
* x11/gnome-applets (gnome-applets-2.16.1_1)
* x11/gnome2 (gnome2-2.16.1_2)
---> Packages processed: 153 done, 0 ignored, 76 skipped and 7 failed

大体4時間ぐらい作業していた。寝る前に終わって良かった。
[PR]

by arigayas | 2007-09-02 23:57 | FreeBSD | Trackback | Comments(0)
HD Audio
使っているノートパソコン [ SOTEC DN6000 ] は、 ATI SB450 というサウンドチップ?の後継がSB460(使用中PC)なのだけど、開発版でSB450用のドライバーを見つけた。
こいつの圧縮ファイルを見つけてダウンロードして展開したところまでは良かったけど、どうやってmakeするんだろ?(ぉ

まぁその辺をわかっていない初心者が触れてはならない領域にきちゃった?


追記 2007/09/05

2日に分けてやったので記憶が定かじゃないのであしからず。

適当なところにダウンロードしたファイルを展開してそこから、sound.ko とsnd_hda.ko*を
/boot/kernel
にコピー(cp)して、
/boot/loader.conf

sound_load="YES"
snd_hda_load="YES"
を追加して再起動で音が鳴るはず。
[PR]

by arigayas | 2007-09-02 16:03 | FreeBSD | Trackback | Comments(0)
インストールリスト
X.org7.2
日本語フォント Sazamami font、kochi

Firefox 1.5.0.8 -> Firefox 2.0.0.6,1
kterm
anthy
scim

-----------
xfce4,
cups,
/usr/ports/textproc/gtk-doc

snd_hda : /usr/src/snd_hda


============
/usr/bin/ld: warning: "libintl.so.6", needed by /usr/local/lib/libgnutls.so, not found (try using -rpath or -rpath-link)
/usr/local/lib/libgnutls.so: undefined reference to `libintl_bindtextdomain'
/usr/local/lib/libgnutls.so: undefined reference to `libintl_dgettext'
--> portupgrade -rf gettext

Use gamin's poller instead of kqueue's > checked

------------------------------
libxfce4mcs 4.4.1_1
[ ] GTKDOC install the library documentation
[X] STARTUP Enable startup notification support

------------------------------
Options for vte 0.16.8
[X] GLX Enable support for DRI/GLX

------------------------------
Options for libxfce4gui 4.4.1_1
[X] GTKDOC install the library documentation

------------------------------
Options for xfce4-panel 4.4.1_1
[X] GTKDOC install the library documentation
[X] STARTUP Enable startup notification support


------------------------------
Options for xscreensaver-gnome-hacks 4.24_2
[X] ALL_FORTUNES Enable support for all fortunes

------------------------------
Options for librsvg2 2.18.2
[X] MOZILLA_PLUGIN Enable the SVG browser plug-in

------------------------------
ja-scim-anthy-1.2.4 to iuu moji ga...
[PR]

by arigayas | 2007-09-02 02:26 | FreeBSD | Trackback | Comments(6)
FreeBSDのメモ - pkg_descr
/usr/ports/ 以下にある各アプリのディレクトリにある pkg_descr ファイルがそのアプリを説明しているファイル。
[PR]

by arigayas | 2007-09-01 17:16 | FreeBSD | Trackback | Comments(0)
Firefox 2.0.0.6,1をmake したら出たエラー。
CDに焼いた FreeBSD 6.2 リリース ( AMD 64 )を入れた。(パッケージ/アプリは入れず)
その後に
portsnap で ports を更新して
Freebsd-update をしてFreeBSDのセキュリティを上げた後に

Xwindow(X.org 7.2)を入れて、
WindowMakerを入れ、
Firefox 2を入れようとしたら出た。
An older version of www/firefox is already installed (firefox-1.5.0.8,1)
You may wish to ''make deinstall'' and install this port again
by ''make reinstall'' to upgrade it properly.
If you really wish to overwrite the old port of www/firefox
without deleting it first, set the variable "FORCE_PKG_REGISTER"
in your environment or the "make install" command line.

まずは何しよう。


追記

いつ入れたか覚えていない Firefox 1.5.0.8,1 が原因でエラーになったので Firefox 2.0.0.6,1 にする方法を調べた。
結論は、
# portupgrade -lv Firefox
だった。

portupgrade コマンドをする為の知っておくべきこととして、
  1. su コマンドでスーパーユーザーになってから
  2. portupgrade をインストールしておく。
  3. portsnap コマンドでportsを更新しておく
  4. pkg_version -v -l \< で更新する必要があるか確認する
  5. あれば、portupgrade -lv アプリ名でアップデートする


> portsnap コマンドでportsを更新しておく
portsnap fetch で portsの圧縮データ(目次データ?)を取ってくる。
portsnap extract で portsnap fetch で取ってきた圧縮データを展開。
portsnap update で ports の更新。

2回目以降は、
portsnap fetch && portsnap update でOKらしい。
[PR]

by arigayas | 2007-09-01 16:07 | FreeBSD | Trackback | Comments(0)
家のパソコンにphp環境
一緒にプログラミングの勉強を進めているマイミクさんのおかげで先月届いたノートパソコンに初の PHP 5 の環境ができました。

絶対一人だったら数日は、わからなかったタイピングミスだったなぁ。

誤 LoadModule php5_Module c:/php/php5apache2.dll
正 LoadModule php5_module c:/php/php5apache2.dll

この間違い(大文字と小文字)が原因で Apache (Webページを表示するサーバソフト)が起動しなくなった。

一緒にプログラミングの勉強を進める人がいることは偉大だし?貴重だ。
[PR]

by arigayas | 2007-02-25 01:07 | パソコン関係 | Trackback | Comments(2)